// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface CapacityFirmingOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.CapacityFirming)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue capacityFirmingCtl = 1;</code>
   * @return Whether the capacityFirmingCtl field is set.
   */
  boolean hasCapacityFirmingCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue capacityFirmingCtl = 1;</code>
   * @return The capacityFirmingCtl.
   */
  com.google.protobuf.BoolValue getCapacityFirmingCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue capacityFirmingCtl = 1;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getCapacityFirmingCtlOrBuilder();

  /**
   * <pre>
   * uint/1kW/min  If the supervised power increases at a rate higher that the rate defined by these
   * limits, the ESS will discharge/charge at an opposite dp/dt to reduce (smooth) the rate of change at
   * the PCC
   * </pre>
   *
   * <code>.google.protobuf.FloatValue limitNegative_dp_dt = 2;</code>
   * @return Whether the limitNegativeDpDt field is set.
   */
  boolean hasLimitNegativeDpDt();
  /**
   * <pre>
   * uint/1kW/min  If the supervised power increases at a rate higher that the rate defined by these
   * limits, the ESS will discharge/charge at an opposite dp/dt to reduce (smooth) the rate of change at
   * the PCC
   * </pre>
   *
   * <code>.google.protobuf.FloatValue limitNegative_dp_dt = 2;</code>
   * @return The limitNegativeDpDt.
   */
  com.google.protobuf.FloatValue getLimitNegativeDpDt();
  /**
   * <pre>
   * uint/1kW/min  If the supervised power increases at a rate higher that the rate defined by these
   * limits, the ESS will discharge/charge at an opposite dp/dt to reduce (smooth) the rate of change at
   * the PCC
   * </pre>
   *
   * <code>.google.protobuf.FloatValue limitNegative_dp_dt = 2;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getLimitNegativeDpDtOrBuilder();

  /**
   * <pre>
   * uint/1kW/min  If the supervised power increases at a rate higher that the rate defined by these
   * limits, the ESS will discharge/charge at an opposite dp/dt to reduce (smooth) the rate of change at
   * the PCC
   * </pre>
   *
   * <code>.google.protobuf.FloatValue limitPositive_dp_dt = 3;</code>
   * @return Whether the limitPositiveDpDt field is set.
   */
  boolean hasLimitPositiveDpDt();
  /**
   * <pre>
   * uint/1kW/min  If the supervised power increases at a rate higher that the rate defined by these
   * limits, the ESS will discharge/charge at an opposite dp/dt to reduce (smooth) the rate of change at
   * the PCC
   * </pre>
   *
   * <code>.google.protobuf.FloatValue limitPositive_dp_dt = 3;</code>
   * @return The limitPositiveDpDt.
   */
  com.google.protobuf.FloatValue getLimitPositiveDpDt();
  /**
   * <pre>
   * uint/1kW/min  If the supervised power increases at a rate higher that the rate defined by these
   * limits, the ESS will discharge/charge at an opposite dp/dt to reduce (smooth) the rate of change at
   * the PCC
   * </pre>
   *
   * <code>.google.protobuf.FloatValue limitPositive_dp_dt = 3;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getLimitPositiveDpDtOrBuilder();
}
